#
#	Apple Macintosh Developer Technical Support
#
#	AppleTalk GetZoneList Sample Application
#
#	GetZoneList
#
#	GetZoneList.make	-	Make Source
#
#	Copyright © 1988 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	1.0					11/88
#
#	Components:	GetZoneList.p		November 1, 1988
#				GetZoneList.r		November 1, 1988
#				GetZoneList.make	November 1, 1988
#
#	GetZoneList is a sample application that uses
#	AppleTalk ATP and ZIP to obtain a list of zones
#	on an AppleTalk internet.
#
#	GetZoneList also demonstrates using a signal, or
#	failure-catching mechanism to recover from error
#	situations.
#
#	GetZoneList is based on MACDTS Sample.p. For more
#	description and explanantion of the non-example
#	specific areas of this application, please refer to
#	either Sample.p or TESample.p.
#

PObjs			= GetZoneList.p.o ¶
					UFailure.p.o ¶
					UFailure.a.o ¶
					"{Libraries}"Runtime.o ¶
					"{Libraries}"Interface.o ¶
					"{PLibraries}"PasLib.o

UFailure.p.o	ÄÄ	UFailure.inc1.p GetZoneList.make

GetZoneList.p.o	ÄÄ	GetZoneList.p GetZoneList.make

GetZoneList		ÄÄ	{PObjs} GetZoneList.make
					Link -o {Targ} {PObjs}
					SetFile {Targ} -t APPL -c '????' -a B

GetZoneList		ÄÄ	GetZoneList.r GetZoneList.make
					Rez -rd -o {Targ} GetZoneList.r -append
